| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFEffectDescriptor_V2 Class Referenceabstract

`#include <AAX_IACFEffectDescriptor.h>`

Inheritance diagram for AAX_IACFEffectDescriptor_V2:
[legend]
Collaboration diagram for AAX_IACFEffectDescriptor_V2:
[legend]

## Description

Versioned interface for an AAX_IEffectDescriptor.

## Public Member Functions
virtual AAX_Result | AddControlMIDINode (AAX_CTypeID inNodeID, AAX_EMIDINodeType inNodeType, const char inNodeName[], uint32_t inChannelMask)=0
| Add a control MIDI node to the plug-in data model.
Public Member Functions inherited from AAX_IACFEffectDescriptor
virtual AAX_Result | AddComponent (IACFUnknown *inComponentDescriptor)=0
| Add a component to an instance of a component descriptor.
virtual AAX_Result | AddName (const char *inPlugInName)=0
| Add a name to the Effect.
virtual AAX_Result | AddCategory (uint32_t inCategory)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddCategoryBypassParameter (uint32_t inCategory, AAX_CParamID inParamID)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddProcPtr (void *inProcPtr, AAX_CProcPtrID inProcID)=0
| Add a process pointer.
virtual AAX_Result | SetProperties (IACFUnknown *inProperties)=0
| Set the properties of a new property map.
virtual AAX_Result | AddResourceInfo (AAX_EResourceType inResourceType, const char *inInfo)=0
| Set resource file info.
virtual AAX_Result | AddMeterDescription (AAX_CTypeID inMeterID, const char *inMeterName, IACFUnknown *inProperties)=0
| Add name and property map to meter with given ID.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ AddControlMIDINode()

virtual AAX_Result AAX_IACFEffectDescriptor_V2::AddControlMIDINode | ( | AAX_CTypeID | inNodeID,
|  | AAX_EMIDINodeType | inNodeType,
|  | const char | inNodeName[],
|  | uint32_t | inChannelMask
| ) |  |
| pure virtual

Add a control MIDI node to the plug-in data model.

- This MIDI node may receive note data as well as control data.
- To send MIDI data to the plug-in's algorithm, use AAX_IComponentDescriptor::AddMIDINode().

See also
  AAX_IACFEffectParameters_V2::UpdateControlMIDINodes()

Parameters

  [in] | inNodeID | The ID for the new control MIDI node.
  [in] | inNodeType | The type of the node.
  [in] | inNodeName | The name of the node.
  [in] | inChannelMask | The bit mask for required nodes channels (up to 16) or required global events for global node.

The documentation for this class was generated from the following file:

- AAX_IACFEffectDescriptor.h